//
//  ColorfulButtonViewController.m
//  Demo1
//
//  Created by Brian Prescott on 6/9/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import "ColorfulButtonViewController.h"

@interface ColorfulButtonViewController ()

@end

@implementation ColorfulButtonViewController

@synthesize topColorField, bottomColorField, theButton;

- (BOOL)textFieldShouldReturn:(UITextField *)textField
{
    [textField resignFirstResponder];
    return YES;
}

- (IBAction)buttonPressed:(id)sender
{
    [Utils msgBox:@"Title" message:@"Button pressed."];
}

- (IBAction)colorFieldChanged:(id)sender
{
    UIColor *topColor = [UIColor colorWithNameOrHexString:topColorField.text];
    if (topColor != nil)
    {
        [theButton setHighColor:topColor];
    }
    
    UIColor *bottomColor = [UIColor colorWithNameOrHexString:bottomColorField.text];
    if (bottomColor != nil)
    {
        [theButton setLowColor:bottomColor];
    }
}

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        self.title = @"Color";
        self.tabBarItem.image = [UIImage imageNamed:@"first"];
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    // Do any additional setup after loading the view from its nib.
    
    [self colorFieldChanged:nil];
}

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

@end
