//
//  CustomBadgeViewController.m
//  Demo1
//
//  Created by Brian Prescott on 6/9/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import "CustomBadgeViewController.h"

@interface CustomBadgeViewController ()

@end

@implementation CustomBadgeViewController

@synthesize theTextField, colorTextField, badgeButton;

- (BOOL)textFieldShouldReturn:(UITextField *)textField
{
    [textField resignFirstResponder];
    return YES;
}

- (IBAction)badgesButtonPressed:(id)sender
{
    for (UIView *v in badgeButton.subviews)
    {
        if ([v isKindOfClass:[CustomBadge class]])
        {
            [v removeFromSuperview];
        }
    }
    
    UIColor *badgeColor = [UIColor colorWithNameOrHexString:colorTextField.text];
    
	CustomBadge *badge = [CustomBadge customBadgeWithString:theTextField.text 
                                            withStringColor:[UIColor whiteColor] 
                                             withInsetColor:badgeColor 
                                             withBadgeFrame:YES 
                                        withBadgeFrameColor:[UIColor whiteColor] 
                                                  withScale:1.0
                                                withShining:YES];	
    badge.frame = CGRectMake(badgeButton.frame.size.width - badge.frame.size.width / 2, 
                             -(badge.frame.size.height / 2), 
                             badge.frame.size.width, badge.frame.size.height);
    if ([theTextField.text length] > 0)
    {
        [badgeButton addSubview:badge];
    }
}

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        self.title = @"Badge";
        self.tabBarItem.image = [UIImage imageNamed:@"first"];
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    // Do any additional setup after loading the view from its nib.
}

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

@end
