//
//  GlossyButtonViewController.m
//  Demo1
//
//  Created by Brian Prescott on 6/9/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import "GlossyButtonViewController.h"

@interface GlossyButtonViewController ()

@end

@implementation GlossyButtonViewController

@synthesize tintColorField, theButton;

- (BOOL)textFieldShouldReturn:(UITextField *)textField
{
    [textField resignFirstResponder];
    return YES;
}

- (IBAction)buttonPressed:(id)sender
{
    [Utils msgBox:@"Title" message:@"Button pressed."];
}

- (IBAction)colorFieldChanged:(id)sender
{
    UIColor *tintColor = [UIColor colorWithNameOrHexString:tintColorField.text];
    if (tintColor != nil)
    {
        [theButton setTintColor:tintColor];
    }
    
    UIGlossyButton *b = theButton;
    
	b.innerBorderWidth = 5.0f;
	b.buttonBorderWidth = 0.0f;
	b.buttonCornerRadius = 5.0f;
	[b setGradientType: kUIGlossyButtonGradientTypeLinearGlossyStandard];
	[b setExtraShadingType:kUIGlossyButtonExtraShadingTypeRounded];
	b.backgroundOpacity  =0.5;

    [theButton setNeedsDisplay];
}

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        self.title = @"Gloss";
        self.tabBarItem.image = [UIImage imageNamed:@"first"];
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    // Do any additional setup after loading the view from its nib.
    
    [self colorFieldChanged:nil];
}

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

@end
