//
//  PopListViewController.m
//  Demo1
//
//  Created by Brian Prescott on 6/11/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import "PopListViewController.h"

@interface PopListViewController ()

@end

@implementation PopListViewController

@synthesize titleLabel, coverArtView;

- (IBAction)selectButtonPressed:(id)sender
{
    NSLog(@"Select button pressed");
    LeveyPopListView *lplv = [[LeveyPopListView alloc] initWithTitle:@"Select" options:_options inView:self.view];
    lplv.frame = self.view.frame;
    lplv.delegate = self;
    [lplv showInView:self.view animated:YES];
    [lplv release];
}

#pragma mark - LeveyPopListView delegates

- (void)leveyPopListView:(LeveyPopListView *)popListView didSelectedIndex:(NSInteger)anIndex
{
    NSLog(@"Pop list selected index: %d", anIndex);
    NSDictionary *dict = [_options objectAtIndex:anIndex];
    titleLabel.text = [dict objectForKey:@"text"];
    coverArtView.image = [dict objectForKey:@"img"];
}

- (void)leveyPopListViewDidCancel
{
    NSLog(@"Pop list cancelled");
}

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        self.title = @"PopList";
        self.tabBarItem.image = [UIImage imageNamed:@"first"];
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    // Do any additional setup after loading the view from its nib.
    
    _options = [[NSArray arrayWithObjects:
                 [NSDictionary dictionaryWithObjectsAndKeys:[UIImage imageNamed:@"0.png"],@"img",@"Ah Via Musicom",@"text", nil],
                 [NSDictionary dictionaryWithObjectsAndKeys:[UIImage imageNamed:@"1.png"],@"img",@"Revolver",@"text", nil], 
                 [NSDictionary dictionaryWithObjectsAndKeys:[UIImage imageNamed:@"2.png"],@"img",@"Abbey Road",@"text", nil], 
                 [NSDictionary dictionaryWithObjectsAndKeys:[UIImage imageNamed:@"3.png"],@"img",@"IV",@"text", nil], 
                 [NSDictionary dictionaryWithObjectsAndKeys:[UIImage imageNamed:@"4.png"],@"img",@"II",@"text", nil], 
                 [NSDictionary dictionaryWithObjectsAndKeys:[UIImage imageNamed:@"5.png"],@"img",@"Van Halen",@"text", nil], 
                 [NSDictionary dictionaryWithObjectsAndKeys:[UIImage imageNamed:@"6.png"],@"img",@"Are You Experienced?",@"text", nil], 
                 [NSDictionary dictionaryWithObjectsAndKeys:[UIImage imageNamed:@"7.png"],@"img",@"Dust Bowl",@"text", nil],
                 [NSDictionary dictionaryWithObjectsAndKeys:[UIImage imageNamed:@"8.png"],@"img",@"Professor Satchafunkilus",@"text", nil],
                 [NSDictionary dictionaryWithObjectsAndKeys:[UIImage imageNamed:@"9.png"],@"img",@"Strange Beautiful Music",@"text", nil], 
                 nil] retain];

}

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

@end
