//
//  FlipsideViewController.m
//  FMDBDemo
//
//  Created by Brian Prescott on 10/22/11.
//  Copyright (c) 2011 __MyCompanyName__. All rights reserved.
//

#import "FlipsideViewController.h"

@implementation FlipsideViewController

@synthesize delegate = _delegate;

- (IBAction)goButtonPressed:(id)sender
{
    NSString *databasePath = [[[NSBundle mainBundle] resourcePath] 
                    stringByAppendingPathComponent:@"baseball_2010.sqlite"];
    
	FMDatabase *database = [[FMDatabase databaseWithPath:databasePath] retain];
	if (![database open]) 
	{
		NSLog(@"Could not open database %@", databasePath);
	}

    int ctr = 0;
    FMResultSet *rs = [database executeQuery:@"select * from players order by upper(lastname), firstname", nil];
	while ([rs next])
	{
        ctr++;
        NSLog(@"#%d, ID %d, %@ %@ (MLB debut on %@)", ctr, [rs intForColumn:@"playerid"],
              [rs stringForColumn:@"firstname"], [rs stringForColumn:@"lastname"],
              [rs stringForColumn:@"debut"]);
	}
	
	[rs close];
    [database close];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
}

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (void)viewWillAppear:(BOOL)animated
{
    [super viewWillAppear:animated];
}

- (void)viewDidAppear:(BOOL)animated
{
    [super viewDidAppear:animated];
}

- (void)viewWillDisappear:(BOOL)animated
{
	[super viewWillDisappear:animated];
}

- (void)viewDidDisappear:(BOOL)animated
{
	[super viewDidDisappear:animated];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation != UIInterfaceOrientationPortraitUpsideDown);
}

#pragma mark - Actions

- (IBAction)done:(id)sender
{
    [self.delegate flipsideViewControllerDidFinish:self];
}

@end
