//
//  MainViewController.m
//  FMDBDemo
//
//  Created by Brian Prescott on 10/22/11.
//  Copyright (c) 2011 __MyCompanyName__. All rights reserved.
//

#import "MainViewController.h"

@implementation MainViewController

- (IBAction)goButtonPressed:(id)sender
{
    NSString *databasePath = [[[NSBundle mainBundle] resourcePath] 
                              stringByAppendingPathComponent:@"baseball_2010.sqlite"];
    
    sqlite3 *database;
	NSString *fName, *lName, *phone;
    
	if(sqlite3_open([databasePath UTF8String], &database) == SQLITE_OK) {
		const char *sqlStatement = "select firstname, lastname, debut from players order by debut desc";
		sqlite3_stmt *cmpStatement;
		if(sqlite3_prepare_v2(database,sqlStatement,-1,&cmpStatement,NULL) == SQLITE_OK) {
			while(sqlite3_step(cmpStatement) == SQLITE_ROW) {
				char *cfName = (char *)sqlite3_column_text(cmpStatement, 0);
				char *clName = (char *)sqlite3_column_text(cmpStatement, 1);
				char *cphone = (char *)sqlite3_column_text(cmpStatement, 2);
                
				fName = (cfName) ? [NSString stringWithUTF8String:cfName] : @"";
				lName = (clName) ? [NSString stringWithUTF8String:clName] : @"";
				phone = (cphone) ? [NSString stringWithUTF8String:cphone] : @"";
                
				NSLog(@"Name: %@ %@;  MLB debut: %@", fName, lName, phone);
			}
		}
        
		sqlite3_finalize(cmpStatement);
	}
    
	sqlite3_close(database);
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
}

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (void)viewWillAppear:(BOOL)animated
{
    [super viewWillAppear:animated];
}

- (void)viewDidAppear:(BOOL)animated
{
    [super viewDidAppear:animated];
}

- (void)viewWillDisappear:(BOOL)animated
{
	[super viewWillDisappear:animated];
}

- (void)viewDidDisappear:(BOOL)animated
{
	[super viewDidDisappear:animated];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation != UIInterfaceOrientationPortraitUpsideDown);
}

#pragma mark - Flipside View

- (void)flipsideViewControllerDidFinish:(FlipsideViewController *)controller
{
    [self dismissModalViewControllerAnimated:YES];
}

- (IBAction)showInfo:(id)sender
{    
    FlipsideViewController *controller = [[[FlipsideViewController alloc] initWithNibName:@"FlipsideViewController" bundle:nil] autorelease];
    controller.delegate = self;
    controller.modalTransitionStyle = UIModalTransitionStyleFlipHorizontal;
    [self presentModalViewController:controller animated:YES];
}

@end
