//
//  MainViewController.m
//  SBJsonDemo
//

#import "MainViewController.h"

@implementation MainViewController

@synthesize theTextView;

- (IBAction)goButtonPressed:(id)sender
{
    SBJsonParser *parser = [[SBJsonParser alloc] init];
    NSDictionary *dict = [parser objectWithString:theTextView.text];
    if (dict == nil)
    {
        NSLog(@"There was an error: %@", parser.error);
    }
    else
    {
        NSLog(@"Dictionary: %@", dict);
        if ([dict objectForKey:@"status"])
        {
            NSLog(@"Status: %@", [dict objectForKey:@"status"]);
        }
        else if ([dict objectForKey:@"phoneNumber"])
        {
            NSLog(@"Phone number: %@", [dict objectForKey:@"phoneNumber"]);
        }
    }
    
    [parser release];                          
}

- (IBAction)b1ButtonPressed:(id)sender
{
    NSString *filePath = [[NSBundle mainBundle] pathForResource:@"B1" ofType:@"txt"];  
    theTextView.text = [NSString stringWithContentsOfFile:filePath encoding:NSUTF8StringEncoding error:nil];
}

- (IBAction)b2ButtonPressed:(id)sender
{
    NSString *filePath = [[NSBundle mainBundle] pathForResource:@"B2" ofType:@"txt"];  
    theTextView.text = [NSString stringWithContentsOfFile:filePath encoding:NSUTF8StringEncoding error:nil];
}

- (IBAction)b3ButtonPressed:(id)sender
{
    theTextView.text = @"This is not valid JSON.";
}

- (IBAction)xButtonPressed:(id)sender
{
    [theTextView resignFirstResponder];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
}

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (void)viewWillAppear:(BOOL)animated
{
    [super viewWillAppear:animated];
}

- (void)viewDidAppear:(BOOL)animated
{
    [super viewDidAppear:animated];
}

- (void)viewWillDisappear:(BOOL)animated
{
	[super viewWillDisappear:animated];
}

- (void)viewDidDisappear:(BOOL)animated
{
	[super viewDidDisappear:animated];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation != UIInterfaceOrientationPortraitUpsideDown);
}

@end
